Bug 4298 - Title detail display: improve display of item level hold information
Summary: Title detail display: improve display of item level hold information
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-03-03 03:58 UTC by Liz Rea
Modified: 2013-12-05 20:01 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Screenshot of the proposed revised interface (39.71 KB, image/png)
2011-09-22 15:12 UTC, Owen Leonard
Details
Proposed fix (2.42 KB, patch)
2011-09-23 19:46 UTC, Owen Leonard
Details | Diff | Splinter Review
[Signed Off] Fix for Bug 4298 - Title detail display: improve display of item level hold information (2.51 KB, patch)
2011-09-23 19:58 UTC, Liz Rea
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Chris Cormack 2010-05-21 01:25:32 UTC


---- Reported by wizzyrea@gmail.com 2010-03-03 15:58:35 ----

http://screencast.com/t/ZjZjNjMxZjEt

The dual status notes can be very confusing for staff. Could the display be changed to say "Item Level hold placed for PATRON on DATE for delivery at LIBRARY"

Using the term "Expected" makes staff think that the item is (or should be) in transit when that is often not the case (the item is actually checked out to another patron).



--- Bug imported by chris@bigballofwax.co.nz 2010-05-21 01:25 UTC  ---

This bug was previously known as _bug_ 4298 at http://bugs.koha.org/cgi-bin/bugzilla3/show_bug.cgi?id=4298

Actual time not defined. Setting to 0.0
Setting qa contact to the default for this product.
   This bug either had no qa contact or an invalid one.
CC member jwagner@ptfs.com does not have an account here

Comment 1 Katrin Fischer 2011-09-05 08:58:47 UTC
I came across this today in 3.4.3 and I think it's very confusing. 
I didn't understand it at all, until Chris helped me and I figured out that it's not 'expected since' but 'on hold since'

Perhaps this would work better?
on hold for .. at .... since ...

I also like Liz's suggestion:
Item Level hold placed for PATRON on DATE for delivery at
LIBRARY"

For single branch libraries you could even leave out the at ... part.
Comment 2 Owen Leonard 2011-09-22 15:12:28 UTC
Created attachment 5542 [details]
Screenshot of the proposed revised interface

Is this better?
Comment 3 Owen Leonard 2011-09-23 19:46:32 UTC Comment hidden (obsolete)
Comment 4 Liz Rea 2011-09-23 19:58:24 UTC
Created attachment 5575 [details] [review]
[Signed Off] Fix for Bug 4298 - Title detail display: improve display of item level hold information

Message changed for two cases, waiting and item-level hold:

"Waiting for [ patron name ] at [ library] since [ date ]"

"Item-level hold for [ patron name ] for delivery at [ library ] (placed [ date ])"

Signed-off-by: Liz Rea <lrea@nekls.org>
Works as advertsed, is MUCH more clear.
Comment 5 Chris Cormack 2011-09-25 08:27:09 UTC
Template only change, much improved readability, pushed